#!/bin/sh

if [ "${SCC}" = "" ]; then
    echo "LIBPA error: please set SCC to invoke safe compile"
    is_error=true
fi
if [ "${UCC}" = "" ]; then
    echo "LIBPA error: please set UCC to invoke unsafe compile"
    is_error=true
fi
if [ "${SLD}" = "" ]; then
    echo "LIBPA error: please set SLD to invoke safe compile and link"
    is_error=true
fi
if [ "${ULD}" = "" ]; then
    echo "LIBPA error: please set ULD to invoke unsafe compile and link"
    is_error=true
fi
if [ "${MAKE}" = "" ]; then
    echo "LIBPA error: please set MAKE to invoke preferred make command"
    is_error=true
fi
if [ "${RANLIB}" = "" ]; then
    echo "LIBPA error: please set RANLIB to invoke preferred ranlib command"
    is_error=true
fi
if [ "${LIBPA_ARCH}" = "" ]; then
    echo "LIBPA error: please set LIBPA_ARCH to target architecture (CPU/OS)"
    is_error=true
fi
if [ "${LIBPA_GROUP}" = "" ]; then
    echo "LIBPA error: please set LIBPA_GROUP to group with r/w permission in installation"
    is_error=true
fi

if [ "${is_error}" = "true" ]; then
    echo " See ${LIBPA_ROOT}/etc/cshrc for more information"
    exit 1
fi
exit 0


