/*
 * (c) 1997 Eric Sven Ristad.  All rights reserved.
 *
 */

#include <assert.h>
#include <math.h>
#include "logpr.h"

static char logpr_rcsid[] = "$Id: logpr.c,v 1.2 1997/12/01 01:48:57 libpa Exp $";

/* Description.
 *  Logarithmic representation of probability values with
 *   double precision floating-point numbers.
 */

extern double exp(double);
extern double log1p(double);
extern int    finite(double);

logpr_t logpr_add(logpr_t lx, logpr_t ly)
{
  double dx;
  if (lx > ly) { dx = lx; lx = ly; ly = dx; }
  assert(lx <= 0); assert(ly <= 0); assert(lx <= ly);
  if (!finite(lx)) { return(ly); }
  assert(finite(lx)); assert(finite(ly));
  lx = lx - ly;
  if (lx > (DBL_MIN_EXP * M_LN2))  /* for speed and to avoid underflow */
    { dx = exp(lx); ly += log1p(dx); }
  return(ly);
}

