/*
 * (c) 1996 Eric Sven Ristad and Peter N. Yianilos.  All rights reserved.
 *
 * $Id: vector.private.h,v 1.5 1998/02/04 07:07:35 ristad Exp $
 *
 */

#ifndef VECTOR_PRIVATE_INCLUDED
#define VECTOR_PRIVATE_INCLUDED
#include "vector.h"

/* Description.
 *   Private prototypes and macros for vector_t implementation.
 *   Public use is strong discouraged.
 *
 */

#define VECTOR_SURPLUS_TARGET    SHRT_MAX   /* target on downsize */

#define length_initial(n)        (n)                              /* initial    */
#define length_successor(n)      ((unsigned)(((double)(n))*1.5))  /* expansion  */
#define length_predecessor(n)    (n)                              /* contraction */

#define header2vector(header)    ((vector_t *)((header)+1))
         /* Returns: vector_t for given vector_header_t  */

#endif	/* VECTOR_PRIVATE_INCLUDED */

